
#  makefile for CDAY and GNU C compilers:
#     EMX v0.9c
#     RSXNT v1.4
#     DJGPP v2
#

# ------------------------------- definitions --------------------------

SRC = french.c gregor.c jewish.c julian.c jusano.c lunconv.c maya.c poee.c

OBJ = $(SRC:.c=$O)

CFLAGS = -I./.. -I../misc/ $(INC_CFLAGS)

# ------------------------------- make stuff ---------------------------

all : libcal.a clean

#.c.obj :
#     $(CC) $(CFLAGS) -c $<

french$(O) :
	$(CC) $(CFLAGS) -c french.c

gregor$(O) :
	$(CC) $(CFLAGS) -c gregor.c

julian$(O) :
	$(CC) $(CFLAGS) -c julian.c

lunconv$(O) :
	$(CC) $(CFLAGS) -c lunconv.c

poee$(O) :
	$(CC) $(CFLAGS) -c poee.c

libcal.a : $(OBJ) 
	if exist libcal.a del libcal.a
	$(AR) rc libcal.a $(OBJ) 


clean :
#	if exist *.o del *.o
#	if exist *.o del *.obj

